--- title: "Edit project" slug: "sens-project-update" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-project-update" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit project Available in Classic and VPC Edit project. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /common/v2/projects/{projectId} | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/sens-project-list). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectDesc` | String | Optional | Project description - 0-128 characters | | `useKkoBizMsg` | Boolean | Optional | Biz Message service usage - `true` \| `false` (default) - `true`: Enable - `false`: Disable - If not entered, set to the default value `false`. | | `useSms` | Boolean | Optional | SMS service usage - `true` \| `false` (default) - `true`: Enable - `false`: Disable - If not entered, set to the default value `false`. | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://sens.apigw.ntruss.com/common/v2/projects/b674e9e0-****-****-****-165e285c8497' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "projectDesc": "my push service", "useKkoBizMsg": true, "useSms": true }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | - | Project ID | | `projectName` | String | - | Project name | | `projectDesc` | String | - | Project description | | `useSms` | Boolean | - | SMS service usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `useKkoBizMsg` | Boolean | - | Biz Message service usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `smsService` | Object | - | SMS service meta information | | `smsService.serviceId` | String | - | SMS service ID | | `smsService.serviceName` | String | - | SMS service name | | `smsService.createTime` | String | - | SMS service creation date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `smsService.updateTime` | String | - | SMS service modification date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `smsService.useBlockService` | Boolean | - | 080 call block number service usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `kkoBizMsgService` | Object | - | Biz Message service meta information | | `kkoBizMsgService.serviceId` | String | - | Biz Message service ID | | `kkoBizMsgService.serviceName` | String | - | Biz Message service name | | `kkoBizMsgService.createTime` | String | - | Biz Message service creation date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `kkoBizMsgService.updateTime` | String | - | Biz Message service modification date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `createTime` | String | - | Project creation date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `updateTime` | String | - | Project last modification date and time - YYYY-MM-DDTHH:mm:ss.sss format | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "projectId": "b674e9e0-****-****-****-165e285c8497", "projectName": "mypush", "projectDesc": "my push service", "useSms": true, "useKkoBizMsg": true, "smsService": { "serviceId": "ncp:sms:kr:27********30:mypush", "serviceName": "mypush", "createTime": "2025-11-18T08:55:01.579", "updateTime": "2025-11-18T10:15:59.226", "useBlockService": false }, "kkoBizMsgService": { "serviceId": "ncp:kkobizmsg:kr:27*********3:mypush", "serviceName": "mypush", "createTime": "2025-11-18T08:55:01.617", "updateTime": "2025-11-18T08:55:01.616" }, "createTime": "2025-11-18T08:55:01.558", "updateTime": "2025-11-18T10:15:59.253" } ```